Loading...
Searching...
No Matches
field_expr_v2_variational_binary< BinaryFunction, Expr1, Expr2 >::evaluate_switch< This, Result, Arg1, Arg2, std::true_type, std::true_type >

## Detailed Description

template<class BinaryFunction, class Expr1, class Expr2>
template<class This, class Result, class Arg1, class Arg2>
struct rheolef::details::field_expr_v2_variational_binary< BinaryFunction, Expr1, Expr2 >::evaluate_switch< This, Result, Arg1, Arg2, std::true_type, std::true_type >

Definition at line 602 of file field_expr_variational.h.

## Public Member Functions

void | operator() (const This &obj, const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
void | operator() (const This &obj, const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const

## Member Function Documentation

## operator()() [1/2]

template<class BinaryFunction , class Expr1 , class Expr2 >
template<class This , class Result , class Arg1 , class Arg2 >

void operator() | ( | const This & | obj,
|  | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 603 of file field_expr_variational.h.

## operator()() [2/2]

template<class BinaryFunction , class Expr1 , class Expr2 >
template<class This , class Result , class Arg1 , class Arg2 >

void operator() | ( | const This & | obj,
|  | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 641 of file field_expr_variational.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_expr_variational.h